Bug 443625 - NFS mountd won't start with MOUNTD_NFS_V3="no"
NFS mountd won't start with MOUNTD_NFS_V3="no"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 11:58 EDT by Dean Mander
Modified: 2009-01-09 02:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:47:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dean Mander 2008-04-22 11:58:32 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dean Mander 2008-04-22 12:03:19 EDT
versions:
nfs-utils - 1:1.1.1-2.fc8.i386
kernel: 2.6.24.4-64.fc8

Reproducible: always

Description:

When de-commenting in /etc/sysconfig/nfs next line:
#MOUNTD_NFS_V3="no"

nfs start with a error message:
$ service nfs start
Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd: Usage: rpc.mountd [-F|--foreground] [-h|--help]
[-v|--version] [-d kind|--debug kind]
        [-o num|--descriptors num] [-f exports-file|--exports-file=file]
        [-p|--port port] [-V version|--nfs-version version]
        [-N version|--no-nfs-version version] [-n|--no-tcp]
        [-H ha-callout-prog] [-s|--state-directory-path path]
        [-g|--manage-gids] [-t num|--num-threads=num]
                                                           [FAILED]


Expected result:
since we only support NFSv4, mountd needn't be started because it's not used
anymore.

Even more, it is a security hole when started:
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/en-US/RHEL510/Deployment_Guide/s3-nfs-security-hosts-nfsv4.html


Comment 2 Dean Mander 2008-04-22 12:06:15 EDT
Ah,

and when mountd isn't started, the nfs client complains:

mount.nfs4: access denied by server while mounting MY_SERVER:/
Comment 3 Steve Dickson 2008-04-23 13:04:57 EDT
While its true rpc.mountd was removed from the mounting process with
NFSv4, it was not removed from the exporting process.  So it still need to
be running for the exports to be available.  The manual could probably be
worded a bit better.. 

What you want to do is set the RPCNFSDARGS variable /etc/sysconfig/nfs to:
    RPCNFSDARGS="-N 2 -N 3"

if you only want to advertise V4.
Comment 4 Dean Mander 2008-04-23 14:12:01 EDT
Setting the RPCNFSDARGS works.
An update to the "default" /etc/sysconfig/nfs default file, 
with this explanation, would solve the problem for me.
Thanks.
Comment 5 Steve Dickson 2008-04-23 15:10:12 EDT
Well I thought the "See rpc.nfsd(8)" would work since are no
real defaults for rpc.nfsd. But documenting how to turn protocols on
and off is not a bad idea... 

Fixed in nfs-utils-1.1.1-3
Comment 6 Dean Mander 2008-05-10 09:05:42 EDT
The addition is fine, clear.
However, the file still contains the line

#MOUNTD_NFS_V3="no"

which will fail if it is uncommented.
--> not solved yet.
Comment 7 Matěj Cepl 2008-06-26 18:52:07 EDT
FAIL_QA is not used in Fedora, this should be probably ASSIGNed. Which I am
doing right now.
Comment 8 Steve Dickson 2008-06-27 10:35:34 EDT
> However, the file still contains the line
> #MOUNTD_NFS_V3="no"
> which will fail if it is uncommented.

Could you please post what the failure is? Unfortunately I'm unable
to reproduce this failure.
Comment 9 Dean Mander 2008-06-27 10:57:29 EDT
same error as in comment #1: daemon doesn't start because doesn't understand the
line

MOUNTD_NFS_V3="no"

(using nfs-utils-1.1.1-3.fc8)
Comment 10 Bug Zapper 2008-11-26 05:32:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:47:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.